curl
curl "https://api.paybridgenp.com/v1/billing/invoices?status=open" \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/billing/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "inv_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "invoice",
"number": "INV-20260607-E0479E",
"amount_due": 123,
"amount_paid": 123,
"currency": "NPR",
"issued_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"hosted_invoice_url": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"external_customer_id": "<string>"
},
"subscription": {
"id": "<string>",
"status": "<string>",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z"
},
"plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123
},
"metadata": {},
"livemode": true
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Invoices
List invoices
Returns a paginated list of billing invoices, ordered by most recent first.
GET
/
v1
/
billing
/
invoices
curl
curl "https://api.paybridgenp.com/v1/billing/invoices?status=open" \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/billing/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "inv_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "invoice",
"number": "INV-20260607-E0479E",
"amount_due": 123,
"amount_paid": 123,
"currency": "NPR",
"issued_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"hosted_invoice_url": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"external_customer_id": "<string>"
},
"subscription": {
"id": "<string>",
"status": "<string>",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z"
},
"plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123
},
"metadata": {},
"livemode": true
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Query Parameters
Filter by subscription ID.
Filter by customer ID.
Available options:
draft, open, paid, overdue, void, uncollectible Required range:
x <= 100Was this page helpful?
⌘I